range-vs-nodes.cc File Reference

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Typedefs | Functions | Variables
range-vs-nodes.cc File Reference

mtdf から QuiescenceSearch を呼ぶ時に良いrangeを求める. More...

`#include "osl/search/quiescenceSearch2.h"`
`#include "osl/search/quiescenceSearch2.tcc"`
`#include "osl/search/simpleHashTable.h"`
`#include "osl/checkmate/dualDfpn.h"`
`#include "osl/state/numEffectState.h"`
`#include "osl/record/csaString.h"`
`#include "osl/record/csaRecord.h"`
`#include "osl/eval/progressEval.h"`
`#include "osl/stat/average.h"`
`#include "osl/stl/slist.h"`
`#include <iostream>`
`#include <cstdio>`
`#include <fstream>`
`#include <cstdlib>`
Include dependency graph for range-vs-nodes.cc:

Go to the source code of this file.

## Classes
class | Searcher
class | NormalSearcher
class | FullWidth
class | FixedRange
| [center-half_range, center+half_range] で探索 More...
class | FixedCenter
class | AccurateCenter
class | RootCenter
class | ExtendToCenter
| [0-min_range, max(0+min_range, ev.value()-frontier_range] で探索. More...
class | ExtendToCenterModest
| [0-min_range, max(0+min_range/2, ev.value()-frontier_range] で探索. More...
class | ExtendToOther
| [0-min_range*2, 0+min_range] More...
class | Analyzer

## Typedefs
typedef SearchState2Core::checkmate_t | checkmate_t
typedef QuiescenceSearch2 < eval::ProgressEval > | qsearch_t
typedef qsearch_t::eval_t | eval_t

## Functions
void | qsearch (const char *filename)
void | usage (const char *program_name)
int | main (int argc, char **argv)
const std::string | tos (int val)

## Variables
int | record_depth = -6
bool | verbose = false
size_t | skip_first = 0
int | center = 0
Analyzer | analyzer

## Detailed Description

mtdf から QuiescenceSearch を呼ぶ時に良いrangeを求める.

root の静的評価値に近付けると，ノード数は増えるが値は正確に

- range-vs-nodes -s 30 ../data/kifdat/01haru*.csa records 51 full width 19999994.000 457.325 61726.239 0.055 acc_center2 4094.000 300.855 0.000 1.000 acc_center4 2046.000 279.150 0.000 1.000 root_center2 4094.000 176.201 21992.548 0.576 root_center4 2046.000 147.995 22273.435 0.517 fixed_center0/2 4094.000 74.885 33217.950 0.477 fixed_center0/4 2046.000 58.941 33452.582 0.446 extend2c46 6581.951 71.833 33004.644 0.458 extend2cm46 6179.796 67.668 33085.086 0.451 fixed_center0/8 1022.000 50.712 33568.813 0.432 extend2c84 7760.072 79.849 30521.245 0.459 extend2cm84 7586.770 78.229 30568.973 0.455

Definition in file range-vs-nodes.cc.

## Typedef Documentation

typedef SearchState2Core::checkmate_t checkmate_t

Definition at line 102 of file range-vs-nodes.cc.

typedef qsearch_t::eval_t eval_t

Definition at line 104 of file range-vs-nodes.cc.

typedef QuiescenceSearch2<eval::ProgressEval> qsearch_t

Definition at line 103 of file range-vs-nodes.cc.

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 54 of file range-vs-nodes.cc.

References center, qsearch(), record_depth, skip_first, usage(), and verbose.

void qsearch | ( | const char * | filename) |  |

const std::string tos | ( | int | val) |  |

Definition at line 217 of file range-vs-nodes.cc.

References result.

Referenced by FixedCenter::name(), AccurateCenter::name(), RootCenter::name(), ExtendToCenter::name(), ExtendToCenterModest::name(), and ExtendToOther::name().

void usage | ( | const char * | program_name) |  |

Definition at line 43 of file range-vs-nodes.cc.

## Variable Documentation

Analyzer analyzer

Definition at line 493 of file range-vs-nodes.cc.

Referenced by osl::checkmate::Dfpn::hasCheckmateMove().

int center = 0

Definition at line 52 of file range-vs-nodes.cc.

Referenced by osl::move_probability::MoveInfo::adhocAdjustBishopFork(), FixedRange::alphaBeta(), ExtendToCenter::alphaBeta(), ExtendToCenterModest::alphaBeta(), ExtendToOther::alphaBeta(), Analyzer::Analyzer(), osl::container::BoardMaskTable5x3Center::BoardMaskTable5x3Center(), osl::eval::ml::BishopRookFork::evalOne(), osl::search::BreakThreatmate::generate(), osl::move_generator::AddEffect8Defense< P >::generate(), main(), osl::progress::Effect5x3WithBonus::makeEffectMask(), osl::checkmate::DualDfpn::OraclePool::makeKey(), osl::checkmate::DualDfpn::OraclePool::makeLargeKey(), osl::progress::Effect5x3d::makeProgress(), osl::progress::Effect5x3::makeProgressArea(), osl::progress::Effect5x3WithBonus::makeProgressAreaBonus(), osl::progress::ml::NewProgress::progressOne(), osl::progress::ml::NewProgress::setUp(), osl::progress::Effect5x3Table::setupAttackEffect(), osl::progress::Effect5x3Table::setupDefenseEffect(), and osl::effect_util::SendOffSquare::Table::Table().

int record_depth = -6

Definition at line 49 of file range-vs-nodes.cc.

Referenced by main().

size_t skip_first = 0

Definition at line 51 of file range-vs-nodes.cc.

bool verbose = false

Definition at line 50 of file range-vs-nodes.cc.